%define anolis_release 3
%define module_name Crypt-PasswdMD5

Name:		perl-%{module_name}
Version:	1.42
Release:	%{anolis_release}%{?dist}
Summary:	Provides interoperable MD5-based crypt() functions
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/%{module_name}
Source0:	https://cpan.metacpan.org/authors/id/R/RS/RSAVAGE/%{module_name}-%{version}.tgz
BuildArch:	noarch
# Build:
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# pre-requires:
BuildRequires:	perl(Digest::MD5) >= 2.53
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# test-requires:
BuildRequires:	perl(Test::More) >= 1.001002
# Dependencies:

%description
Modules Crypt::PasswdMD5 - Provide interoperable MD5-based crypt() functions.

%package doc
Summary:	Documentation for %{name}
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{module_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%{perl_vendorlib}/Crypt/
%{_mandir}/man3/Crypt::PasswdMD5.3*

%files doc
%doc Changes README

%changelog
* Tue Feb 07 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.42-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.42-2
- rebuild with perl 5.36.0

* Thu Dec 29 2022 Kun(llfl) <llfl@linux.alibaba.com> - 1.42-1
- pacakge init from upstream.

